# Schema Docs

- [1. ![badge](https://img.shields.io/badge/Optional-yellow) Property `root > fruits`](#fruits)
  - [1.1. root > fruits > items](#autogenerated_heading_2)
- [2. ![badge](https://img.shields.io/badge/Optional-yellow) Property `root > vegetables`](#vegetables)
  - [2.1. root > vegetables > items](#autogenerated_heading_3)
  - [2.2. At least one of the items must be](#autogenerated_heading_4)

| Type                      | `object`                                                                                                            |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| **Additional properties** | [![badge](https://img.shields.io/badge/Any+type-allowed-green)](# "Additional Properties of any type are allowed.") |
|                           |                                                                                                                     |

**Description:** A little food fun

| Property                     | Pattern | Type            | Deprecated | Definition | Title/Description           |
| ---------------------------- | ------- | --------------- | ---------- | ---------- | --------------------------- |
| - [fruits](#fruits )         | No      | array of string | No         | -          | 5 to 8 fruits that you like |
| - [vegetables](#vegetables ) | No      | array           | No         | -          | -                           |
|                              |         |                 |            |            |                             |

## <a name="fruits"></a>1. ![badge](https://img.shields.io/badge/Optional-yellow) Property `root > fruits`

| Type                      | `array of string`                                                                                                   |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| **Additional properties** | [![badge](https://img.shields.io/badge/Any+type-allowed-green)](# "Additional Properties of any type are allowed.") |
|                           |                                                                                                                     |

**Description:** 5 to 8 fruits that you like

|                      | Array restrictions |
| -------------------- | ------------------ |
| **Min items**        | 5                  |
| **Max items**        | 8                  |
| **Items unicity**    | True               |
| **Additional items** | False              |
| **Tuple validation** | See below          |
|                      |                    |

| Each item of this array must be | Description |
| ------------------------------- | ----------- |
| [items](#fruits_items)          | -           |
|                                 |             |

### <a name="autogenerated_heading_2"></a>1.1. root > fruits > items

| Type                      | `string`                                                                                                            |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| **Additional properties** | [![badge](https://img.shields.io/badge/Any+type-allowed-green)](# "Additional Properties of any type are allowed.") |
|                           |                                                                                                                     |

## <a name="vegetables"></a>2. ![badge](https://img.shields.io/badge/Optional-yellow) Property `root > vegetables`

| Type                      | `array`                                                                                                             |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| **Additional properties** | [![badge](https://img.shields.io/badge/Any+type-allowed-green)](# "Additional Properties of any type are allowed.") |
|                           |                                                                                                                     |

|                      | Array restrictions |
| -------------------- | ------------------ |
| **Min items**        | N/A                |
| **Max items**        | N/A                |
| **Items unicity**    | False              |
| **Additional items** | False              |
| **Tuple validation** | See below          |
|                      |                    |

| Each item of this array must be | Description |
| ------------------------------- | ----------- |
| [items](#vegetables_items)      | -           |
|                                 |             |

### <a name="autogenerated_heading_3"></a>2.1. root > vegetables > items

| Type                      | `object`                                                                                                            |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| **Additional properties** | [![badge](https://img.shields.io/badge/Any+type-allowed-green)](# "Additional Properties of any type are allowed.") |
|                           |                                                                                                                     |

### <a name="autogenerated_heading_4"></a>2.2. At least one of the items must be

| Type                      | `const`                                                                                                             |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| **Additional properties** | [![badge](https://img.shields.io/badge/Any+type-allowed-green)](# "Additional Properties of any type are allowed.") |
|                           |                                                                                                                     |

Specific value: `"eggplant"`

----------------------------------------------------------------------------------------------------------------------------
Generated using [json-schema-for-humans](https://github.com/coveooss/json-schema-for-humans) on date